Locks the Config to its current published revision. Drafts can still be created and edited, but direct updates, publishes, scheduled publishes, reverts, and archives are blocked. The response returns the pinned revision in lockedRevision. Unlocking requires Bypass draft approvals access.
POST
/
v1
/
configs
/
{key}
/
lock
cURL
curl -X POST 'https://api.growthbook.io/api/v1/configs/checkout-flow/lock' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/configs/{key}/lock"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://api.growthbook.io/api/v1/configs/{key}/lock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"config": {
"id": "<string>",
"key": "<string>",
"name": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"owner": "<string>",
"ownerEmail": "<string>",
"parent": "<string>",
"extends": [
"<string>"
],
"value": {},
"scopedOverrides": [
{
"config": "<string>",
"environments": [
"<string>"
],
"projects": [
"<string>"
]
}
],
"scopedConfig": {
"parent": "<string>",
"environments": [
"<string>"
],
"projects": [
"<string>"
]
},
"description": "<string>",
"project": "<string>",
"archived": true,
"schema": {
"type": "json-schema",
"value": {}
},
"extensible": true,
"invariants": [
{
"name": "<string>",
"rule": {},
"message": "<string>"
}
],
"locked": true,
"experimentGuard": true,
"lockedRevision": {
"id": "<string>",
"version": 123
},
"lockedBy": "<string>",
"dateLocked": "2023-11-07T05:31:56Z"
}
}Authorizations
bearerAuthbasicAuth
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1/features -H "Authorization: Bearer secret_abc123DEF456"
Path Parameters
The key of the config
Body
application/json
Optional note explaining why the config was locked.
Maximum string length:
10000Response
200 - application/json
Resource created
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
curl -X POST 'https://api.growthbook.io/api/v1/configs/checkout-flow/lock' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/configs/{key}/lock"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://api.growthbook.io/api/v1/configs/{key}/lock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"config": {
"id": "<string>",
"key": "<string>",
"name": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"owner": "<string>",
"ownerEmail": "<string>",
"parent": "<string>",
"extends": [
"<string>"
],
"value": {},
"scopedOverrides": [
{
"config": "<string>",
"environments": [
"<string>"
],
"projects": [
"<string>"
]
}
],
"scopedConfig": {
"parent": "<string>",
"environments": [
"<string>"
],
"projects": [
"<string>"
]
},
"description": "<string>",
"project": "<string>",
"archived": true,
"schema": {
"type": "json-schema",
"value": {}
},
"extensible": true,
"invariants": [
{
"name": "<string>",
"rule": {},
"message": "<string>"
}
],
"locked": true,
"experimentGuard": true,
"lockedRevision": {
"id": "<string>",
"version": 123
},
"lockedBy": "<string>",
"dateLocked": "2023-11-07T05:31:56Z"
}
}
